EddytorDocs & API
Tables

Set a hierarchical inline domain on a column

Creates a parent-child relationship where the allowed values for this column depend on the value in a parent column. The parent-child mappings are stored inline in the domain metadata. **Required scope:** `domains:write`

PUT
/v1/tables/{catalog}/{schema}/{table_name}/columns/{column_name}/domain/hierarchical/inline

Authorization

BearerAuth
AuthorizationBearer <token>

Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to create a hierarchical inline domain on a column. Parent-child mappings are stored directly in the domain metadata.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/tables/{catalog}/{schema}/{table_name}/columns/{column_name}/domain/hierarchical/inline" \  -H "Content-Type: application/json" \  -d '{    "parent_column": "string",    "mappings": {      "property1": [        "string"      ],      "property2": [        "string"      ]    }  }'
{  "column_name": "string",  "domain": {    "type": "string",    "allowed_values": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "value": "string"      }    ],    "parent_column": "string",    "lookup": {      "source": "string",      "mappings": {        "property1": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "value": "string"          }        ],        "property2": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "value": "string"          }        ]      },      "table_name": "string",      "table_path": "string",      "parent_key": "string",      "child_key": "string",      "table_id": "string"    },    "reference_source": {      "table_path": "string",      "table_name": "string",      "column": "string",      "table_id": "string"    }  }}
Empty
Empty
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}
{  "code": "string",  "message": "string",  "request_id": "string",  "details": [    {      "field": "string",      "message": "string"    }  ]}